stages:
- build

variables:
  GIT_SUBMODULE_STRATEGY: recursive

build:
  stage: build
  when: on_success
  only:
    - production
  image: docker:stable
  services:
    - name: docker:dind
      command: ["--mtu=1300"]
  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker build -t $CI_REGISTRY_IMAGE:production -t $CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA -t $CI_REGISTRY_IMAGE:latest .
    - docker push $CI_REGISTRY_IMAGE:production
    - docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA
    - docker push $CI_REGISTRY_IMAGE:latest
